# Method: sellers.orders.completeOrderBooking

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders/completeOrderBooking#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders/completeOrderBooking#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders/completeOrderBooking#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders/completeOrderBooking#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders/completeOrderBooking#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders/completeOrderBooking#examples)

Completes the order booking.

- Returns the updated order if successful.
- Returns error code `PERMISSION_DENIED` if the user does not have access to the seller or seller id does not exist.
- Returns error code `NOT_FOUND` if the order does not exist.
- Returns error code `FAILED_PRECONDITION` if state is not `ORDER_STATE_PENDING_BOOKING`.
- Returns error code `FAILED_PRECONDITION` if any of the lines are not in the `STATE_BOOKED` or `STATE_REJECTED_BY_SELLER` state.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{order=sellers/*/orders/*}:completeOrderBooking`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `order` | `string` Required. The name of the order. Format: sellers/{seller}/orders/{order}" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders#Order`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).